#!/bin/sh

PREFIX="/usr/local"

if [ "$#" -ge 1 ]; then
    PREFIX="$1"
fi

export GLOBAL_DATA_PATH="$PREFIX/share/license-tool"

cargo install --path . --root "$PREFIX"
printf "Installing licenses to '%s'\n" "$GLOBAL_DATA_PATH"
rm -rf "$GLOBAL_DATA_PATH"
cp -R licenses "$GLOBAL_DATA_PATH"
